package com.bailuntec.domain.pojo;

import java.math.BigDecimal;

public class OptimalSolutionModels {

    /// 线路ID

    public String Id;


    /// 物流主ID

    public String MainId;


    /// 线路名称

    public String LineName;


    /// 服务内容

    public String ServiceItem;


    /// 邮递方式

    public String PostWay;


    /// 计重方式

    public String If_Bubble;


    /// 计重方式

    public BigDecimal Limit_Long;


    /// 计重方式

    public BigDecimal Limit_Width;


    /// 计重方式

    public BigDecimal Limit_High;


    /// 头程运费

    public BigDecimal ProcessFee;


    /// 重量费用

    public BigDecimal WeightFee;


    /// 处理费

    public BigDecimal HandingFee;


    /// 挂号类型

    public String RegistrationType;


    /// 挂号费

    public BigDecimal RegistrationFee;


    /// 燃油费

    public BigDecimal FuelFee;


    /// 超长费

    public BigDecimal OverLongFee;


    /// 超重费

    public BigDecimal OverWeightFee;


    /// 线路折扣

    public BigDecimal TotalPrices;


    /// 总价（不含关税）

    public BigDecimal discountRate;


    /// 关税预付费

    public BigDecimal DutyFee;


    /// 货币单位

    public String MonetaryUnit;


    /// 最快天数

    public int FastAging;


    /// 最慢天数

    public int SlowAging;


    /// 带电类型

    public String ElectrifiedType;


    /// 限重

    public String LimitWeight;


    /// 标记(两者均是0，价钱1，时间2，其他3,)

    public String Mark;


    /// 备注

    public String Remark;

    public BigDecimal ExpMonetary;

    public String ExpUnit;

    public String getId() {
        return Id;
    }

    public void setId(String id) {
        Id = id;
    }

    public String getMainId() {
        return MainId;
    }

    public void setMainId(String mainId) {
        MainId = mainId;
    }

    public String getLineName() {
        return LineName;
    }

    public void setLineName(String lineName) {
        LineName = lineName;
    }

    public String getServiceItem() {
        return ServiceItem;
    }

    public void setServiceItem(String serviceItem) {
        ServiceItem = serviceItem;
    }

    public String getPostWay() {
        return PostWay;
    }

    public void setPostWay(String postWay) {
        PostWay = postWay;
    }

    public String getIf_Bubble() {
        return If_Bubble;
    }

    public void setIf_Bubble(String if_Bubble) {
        If_Bubble = if_Bubble;
    }

    public BigDecimal getLimit_Long() {
        return Limit_Long;
    }

    public void setLimit_Long(BigDecimal limit_Long) {
        Limit_Long = limit_Long;
    }

    public BigDecimal getLimit_Width() {
        return Limit_Width;
    }

    public void setLimit_Width(BigDecimal limit_Width) {
        Limit_Width = limit_Width;
    }

    public BigDecimal getLimit_High() {
        return Limit_High;
    }

    public void setLimit_High(BigDecimal limit_High) {
        Limit_High = limit_High;
    }

    public BigDecimal getProcessFee() {
        return ProcessFee;
    }

    public void setProcessFee(BigDecimal processFee) {
        ProcessFee = processFee;
    }

    public BigDecimal getWeightFee() {
        return WeightFee;
    }

    public void setWeightFee(BigDecimal weightFee) {
        WeightFee = weightFee;
    }

    public BigDecimal getHandingFee() {
        return HandingFee;
    }

    public void setHandingFee(BigDecimal handingFee) {
        HandingFee = handingFee;
    }

    public String getRegistrationType() {
        return RegistrationType;
    }

    public void setRegistrationType(String registrationType) {
        RegistrationType = registrationType;
    }

    public BigDecimal getRegistrationFee() {
        return RegistrationFee;
    }

    public void setRegistrationFee(BigDecimal registrationFee) {
        RegistrationFee = registrationFee;
    }

    public BigDecimal getFuelFee() {
        return FuelFee;
    }

    public void setFuelFee(BigDecimal fuelFee) {
        FuelFee = fuelFee;
    }

    public BigDecimal getOverLongFee() {
        return OverLongFee;
    }

    public void setOverLongFee(BigDecimal overLongFee) {
        OverLongFee = overLongFee;
    }

    public BigDecimal getOverWeightFee() {
        return OverWeightFee;
    }

    public void setOverWeightFee(BigDecimal overWeightFee) {
        OverWeightFee = overWeightFee;
    }

    public BigDecimal getTotalPrices() {
        return TotalPrices;
    }

    public void setTotalPrices(BigDecimal totalPrices) {
        TotalPrices = totalPrices;
    }

    public BigDecimal getDiscountRate() {
        return discountRate;
    }

    public void setDiscountRate(BigDecimal discountRate) {
        this.discountRate = discountRate;
    }

    public BigDecimal getDutyFee() {
        return DutyFee;
    }

    public void setDutyFee(BigDecimal dutyFee) {
        DutyFee = dutyFee;
    }

    public String getMonetaryUnit() {
        return MonetaryUnit;
    }

    public void setMonetaryUnit(String monetaryUnit) {
        MonetaryUnit = monetaryUnit;
    }

    public int getFastAging() {
        return FastAging;
    }

    public void setFastAging(int fastAging) {
        FastAging = fastAging;
    }

    public int getSlowAging() {
        return SlowAging;
    }

    public void setSlowAging(int slowAging) {
        SlowAging = slowAging;
    }

    public String getElectrifiedType() {
        return ElectrifiedType;
    }

    public void setElectrifiedType(String electrifiedType) {
        ElectrifiedType = electrifiedType;
    }

    public String getLimitWeight() {
        return LimitWeight;
    }

    public void setLimitWeight(String limitWeight) {
        LimitWeight = limitWeight;
    }

    public String getMark() {
        return Mark;
    }

    public void setMark(String mark) {
        Mark = mark;
    }

    public String getRemark() {
        return Remark;
    }

    public void setRemark(String remark) {
        Remark = remark;
    }

    public BigDecimal getExpMonetary() {
        return ExpMonetary;
    }

    public void setExpMonetary(BigDecimal expMonetary) {
        ExpMonetary = expMonetary;
    }

    public String getExpUnit() {
        return ExpUnit;
    }

    public void setExpUnit(String expUnit) {
        ExpUnit = expUnit;
    }
}
